# -*- coding: utf-8 -*-
from openerp import api, fields, models

class PaymentJournal(models.Model):
    _inherit = 'account.journal'

    @api.model
    def get_paymentsJournals(self):
        domain =[
            ('active', '=', True),
            ('type', 'in',['bank', 'cash'])
        ]
        paymentsJournals = []

        for journal in self.env['account.journal'].search(domain, order="id"):

            paymentsJournals.append({
                'id': journal.id,
                'name': journal.name,
                'display_name': journal.display_name,
                'code': journal.code,
                'cash_control': journal.cash_control,
                'type': journal.type
            })

        print(paymentsJournals)
        return paymentsJournals
