const state = {
    paymentsJournals: [],
}

const getters = {
    paymentsJournals(state) {
        return state.paymentsJournals
    }
}

const mutations = {
    pushPaymentsJournal(state, payload) {
        state.paymentsJournals = [...payload.paymentsJournals]
    }
}

const actions = {
    fetchPaymentsJournal({ commit, dispatch}) {
        return new Promise((resolve, reject) => {
            let Accountjournal = new openerp.web.Model('account.journal')

            Accountjournal.call('get_paymentsJournals',{
                context: new openerp.web.CompoundContext()
            }).then(response => {
                commit('pushPaymentsJournal',{
                    paymentsJournals: response
                })

                dispatch('loaded', 'paymentsJournals')

                resolve()
            }).fail(error => {
                console.error(error)
                reject(error)
            })
        })
    }

}

export default {
    state,
    getters,
    mutations,
    actions
}
